/**
 * XEncounterParticipant.java
 *
 * File generated from the medication::XEncounterParticipant uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEncounterParticipant.
 *
 * 
 */

@XmlType(name = "XEncounterParticipant")
@XmlEnum
@XmlRootElement(name = "XEncounterParticipant")
public enum XEncounterParticipant {
	@XmlEnumValue("ADM")
	ADM("ADM"),
	@XmlEnumValue("ATND")
	ATND("ATND"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("DIS")
	DIS("DIS"),
	@XmlEnumValue("REF")
	REF("REF");
	
	private final String value;

    XEncounterParticipant(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XEncounterParticipant fromValue(String v) {
        for (XEncounterParticipant c: XEncounterParticipant.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}